Delegate (Java Platform SE 8 )
Keywords: org.omg.PortableServer.portable.Delegate interface
Date: 2018-07-01

org.omg.PortableServer.portable

## Interface Delegate

-     public interface Delegate

  The portability package contains interfaces and classes that are designed for and intended to be used by ORB implementor. It exposes the publicly defined APIs that are used to connect stubs and skeletons to the ORB. The Delegate interface provides the ORB vendor specific implementation of PortableServer::Servant. Conformant to spec CORBA V2.3.1, ptc/00-01-08.pdf

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `POA` | `default_POA(Servant Self)` The default behavior of this function is to return the root POA from the ORB instance associated with the servant.
    `Object` | `get_interface_def(Servant self)` This operation returns an object in the Interface Repository which provides type information that may be useful to a program.
    `boolean` | `is_a(Servant Self, String Repository_Id)` This method checks to see if the specified repid is present on the list returned by _all_interfaces() or is the repository id for the generic CORBA Object.
    `boolean` | `non_existent(Servant Self)` This operation is used to check for the existence of the Object.
    `byte[]` | `object_id(Servant Self)` The method _object_id() is equivalent to calling PortableServer::Current::get_object_id.
    `ORB` | `orb(Servant Self)` Convenience method that returns the instance of the ORB currently associated with the Servant.
    `POA` | `poa(Servant Self)` The method _poa() is equivalent to calling PortableServer::Current:get_POA.
    `Object` | `this_object(Servant Self)` This allows the servant to obtain the object reference for the target CORBA Object it is incarnating for that request.

- - ### Method Detail

    - #### orb

          ORB orb(Servant Self)

      Convenience method that returns the instance of the ORB currently associated with the Servant.
      Parameters:
        `Self` - the servant.
      Returns:
        ORB associated with the Servant.

    - #### this_object

          Object this_object(Servant Self)

      This allows the servant to obtain the object reference for the target CORBA Object it is incarnating for that request.
      Parameters:
        `Self` - the servant.
      Returns:
        Object reference associated with the request.

    - #### poa

          POA poa(Servant Self)

      The method _poa() is equivalent to calling PortableServer::Current:get_POA.
      Parameters:
        `Self` - the servant.
      Returns:
        POA associated with the servant.

    - #### object_id

          byte[] object_id(Servant Self)

      The method _object_id() is equivalent to calling PortableServer::Current::get_object_id.
      Parameters:
        `Self` - the servant.
      Returns:
        ObjectId associated with this servant.

    - #### default_POA

          POA default_POA(Servant Self)

      The default behavior of this function is to return the root POA from the ORB instance associated with the servant.
      Parameters:
        `Self` - the servant.
      Returns:
        POA associated with the servant class.

    - #### is_a

          boolean is_a(Servant Self,
                       String Repository_Id)

      This method checks to see if the specified repid is present on the list returned by _all_interfaces() or is the repository id for the generic CORBA Object.
      Parameters:
        `Self` - the servant.
        `Repository_Id` - the repository_id to be checked in the repository list or against the id of generic CORBA object.
      Returns:
        boolean indicating whether the specified repid is in the list or is same as that got generic CORBA object.

    - #### non_existent

          boolean non_existent(Servant Self)

      This operation is used to check for the existence of the Object.
      Parameters:
        `Self` - the servant.
      Returns:
        boolean true to indicate that object does not exist, and false otherwise.

    - #### get_interface_def

          Object get_interface_def(Servant self)

      This operation returns an object in the Interface Repository which provides type information that may be useful to a program.
      Parameters:
        `self` - the servant.
      Returns:
        type information corresponding to the object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.